var EXPORTED_SYMBOLS = [ "fburl" ];

const Cc = Components.classes;
const Ci = Components.interfaces;
const Cu = Components.utils;

Cu.import("resource://calendar/modules/calUtils.jsm");

if ("undefined" == typeof(fburl)) {
    var fburl = {};
};

const calIFreeBusyInterval = Ci.calIFreeBusyInterval;
const calIDateTime = Ci.calIDateTime;

const fbUrlProviderClassID = Components.ID("{11291d94-b457-4322-bfba-ae9df4b6a3c1}");

fburl.fbUrlProvider = function(cal) { this.cal = cal; };

fburl.fbUrlProvider.prototype = {
    classID: fbUrlProviderClassID,

    getFreeBusyIntervals: function (aCalId, aRangeStart, aRangeEnd, aBusyTypes, aListener) {

        var start = this.cal.createDateTime("20140923T100000Z");
        var end = this.cal.createDateTime("20140923T120000Z");

        var periods = [];
        var interval = new this.cal.FreeBusyInterval(
                                        aCalId,
                                        calIFreeBusyInterval.BUSY, // fbType
                                        start, end);
        periods.push(interval);
        aListener.onResult(null, periods);
    }
};

fburl.initProvider = function() {
    cal.getFreeBusyService().addProvider(new fburl.fbUrlProvider(cal));
}
